
#include <string>
#include <iostream>
#include <memory>

#include <boost/program_options.hpp>
#include <boost/range/irange.hpp>
#include <boost/format.hpp>

#include "midi.h"

int main(const int argc, const char * const * const argv) {
   SetAppDir();
   std::vector<std::string> fileList;
   for (const unsigned int i : boost::irange(1, argc)) {
      fileList.push_back(argv[i]);
   }
   if (fileList.empty()) {
      std::cout << boost::format("usage: %s path[ path[ path...\n") % argv[0];
      return 0;
   }
   for (const std::string &path : fileList) {
      const std::unique_ptr<Midi> midi = ::loadmidi(path.c_str());
      ::savemidi(path + ".mid", *midi);
   }
   std::cout << "\nSĂ̏܂AIꍇENTERĂ\n";
   std::cin.get();
   return 0;
}
